package com.ff.base.enums;

import lombok.Getter;

/**
 * 成本型
 *
 * @author shi
 * @date 2025/01/11
 */
@Getter
public enum CostType {
    YEAR(1, "年"),
    QUARTER(2, "季度"),
    MONTH(3, "月");

    private final Integer value;  // 使用包装类 Integer
    private final String description;

    CostType(Integer value, String description) {
        this.value = value;
        this.description = description;
    }
}
